Bug 584769 - logrotate does restart rather than reload.
Summary: logrotate does restart rather than reload.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: net-snmp
Version: 5.5
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Jan Safranek
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-22 11:33 UTC by Martin Poole
Modified: 2011-07-21 12:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-07-21 09:10:32 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1076 0 normal SHIPPED_LIVE net-snmp bug fix and enhancement update 2011-07-21 09:07:58 UTC

Description Martin Poole 2010-04-22 11:33:15 UTC
Description of problem:

the logrotate file shipped with net-snmp performs

  /sbin/service snmpd condrestart

when a restart involves temporary loss of service. Shouldn't it be calling for a reload since the HUP handler DTRT.

  /sbin/service snmpd reload

Comment 1 Jan Safranek 2010-04-26 11:49:03 UTC
The whole snmpd logrotate config is a bit weird, it rotates /var/log/snmpd.log, but snmpd uses syslog (/var/log/messages) by default. I guess removing it is not the best thing to do, some customers might use it, but -HUP should not do any harm:

    /bin/kill -HUP `cat /var/run/snmpd.pid 2> /dev/null` 2> /dev/null || true

BTW, the logrotate config was removed in Fedora and RHEL 6.

Comment 4 RHEL Program Management 2011-01-11 20:34:34 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.

Comment 5 RHEL Program Management 2011-01-11 23:07:49 UTC
This request was erroneously denied for the current release of
Red Hat Enterprise Linux.  The error has been fixed and this
request has been re-proposed for the current release.

Comment 9 errata-xmlrpc 2011-07-21 09:10:32 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-1076.html

Comment 10 errata-xmlrpc 2011-07-21 12:21:58 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-1076.html


Note You need to log in before you can comment on or make changes to this bug.